## e-shell-utils

e-shell-utils — high-level utilities with shell integration

## Functions

void | (*EShellOepnSaveCustomizeFunc) ()
GFile * | e_shell_run_open_dialog ()
GFile * | e_shell_run_save_dialog ()
guint | e_shell_utils_import_uris ()
void | e_shell_utils_run_preferences ()
void | e_shell_utils_run_help_about ()
void | e_shell_utils_run_help_contents ()
EAlertSink * | e_shell_utils_find_alternate_alert_sink ()

## Includes

    #include <shell/e-shell-utils.h>

## Description

## Functions

### EShellOepnSaveCustomizeFunc ()

    void
    (*EShellOepnSaveCustomizeFunc) (GtkFileChooserNative *file_chooser_native,
                                    gpointer user_data);

### e_shell_run_open_dialog ()

    GFile *
    e_shell_run_open_dialog (EShell *shell,
                             const gchar *title,
                             EShellOepnSaveCustomizeFunc customize_func,
                             gpointer customize_data);

Runs a GtkFileChooserNative in open mode with the given title and returns the selected GFile. If `customize_func` is provided, the function is called just prior to running the dialog. If the user cancels the dialog the function will return `NULL`.

#### Parameters

shell | an EShell |
title | file chooser dialog title |
customize_func | optional dialog customization function |
customize_data | optional data to pass to `customize_func` |

#### Returns

the GFile to open, or `NULL`

### e_shell_run_save_dialog ()

    GFile *
    e_shell_run_save_dialog (EShell *shell,
                             const gchar *title,
                             const gchar *suggestion,
                             const gchar *filters,
                             EShellOepnSaveCustomizeFunc customize_func,
                             gpointer customize_data);

Runs a GtkFileChooserNative in save mode with the given title and returns the selected GFile. If `customize_func` is provided, the function is called just prior to running the dialog. If the user cancels the dialog the function will return `NULL`.

With non-`NULL` `filters` will be added also file filters to the dialog. The string format is "pat1:mt1;pat2:mt2:...", where 'pat' is a pattern and 'mt' is a MIME type for the pattern to be used. There can be more than one MIME type, those are separated by comma.

#### Parameters

shell | an EShell |
title | file chooser dialog title |
suggestion | file name suggestion, or `NULL` |
filters | Possible filters for dialog, or `NULL` |
customize_func | optional dialog customization function |
customize_data | optional data to pass to `customize_func` |

#### Returns

the GFile to save to, or `NULL`

### e_shell_utils_import_uris ()

    guint
    e_shell_utils_import_uris (EShell *shell,
                               const gchar * const *uris);

Imports given URIs to Evolution, giving user a choice what to import if more than one importer can be applied, and where to import it, if the importer itself is configurable.

URIs should be either a filename or URI of form file://. All others are skipped.

#### Parameters

shell | The EShell instance |
uris | `NULL`-terminated list of URIs to import |

#### Returns

the number of URIs successfully handled

### e_shell_utils_run_preferences ()

    void
    e_shell_utils_run_preferences (EShell *shell);

### e_shell_utils_run_help_about ()

    void
    e_shell_utils_run_help_about (EShell *shell);

### e_shell_utils_run_help_contents ()

    void
    e_shell_utils_run_help_contents (EShell *shell);

### e_shell_utils_find_alternate_alert_sink ()

    EAlertSink *
    e_shell_utils_find_alternate_alert_sink
                                   (GtkWidget *widget);

Search an alternate EAlertSink in the widget hierarchy up-wards from the `widget` (skipping the `widget` itself).

#### Parameters

widget | a GtkWidget for which to do the search |

#### Returns

an alert sink, different than `widget` , or `NULL`, when none found.

[nullable][transfer none]

Since: 3.24